PHP Manual
Prev |  | Next

# posix_mknod

(PHP 5 >= 5.1.0RC1)

posix_mknod -- Create a special or ordinary file (POSIX.1)

## Description

bool posix_mknod ( string pathname, int mode [, int major [, int minor]] )

posix_mknod() creates a special or ordinary file.

## Parameters

pathname

  The file to create

mode

  This parameter is constructed by a bitwise OR between file type (one of the following constants: `POSIX_S_IFREG`, `POSIX_S_IFCHR`, `POSIX_S_IFBLK`, `POSIX_S_IFIFO` or `POSIX_S_IFSOCK`) and permissions.

major

  The major device kernel identifier (required to pass when you're using `S_IFCHR` or `S_IFBLK`).

minor

  The minor device kernel identifier (defaults to 0).

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Examples

Example 1. A posix_mknod() example

`<?php $file = '/tmp/tmpfile'; // file name $type = POSIX_S_IFBLK; // file type $permissions = 0777; // octal $major = 1; $minor = 8; // /dev/random if (!posix_mknod($file, $type | $permissions, $major, $minor)) { die('Error ' . posix_get_last_error() . ': ' . posix_strerror(posix_get_last_error())); } ?>`

## See Also

posix_mkfifo()

Prev | Home | Next
posix_mkfifo | Up | posix_setegid